Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), NonPersistent> _
Public Class PCICheck
    Inherits XPObject
    Private Shared myOid As Integer = 0
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        myOid += 1
        Oid = myOid
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()

    End Sub


    Property RegistryHeader As RegistryHeader
    Property InvoiceHeader As InvoiceHeader
    Property GLAccounts As GLAccounts
    Property GLRows As GLRows
End Class
